<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="1100dp"
    android:orientation="vertical"
    android:padding="20dp"
    tools:context=".PlateActivity">

    <ImageView
        android:layout_width="210dp"
        android:layout_height="50dp"
        android:layout_gravity="right"
        app:srcCompat="@drawable/logo"></ImageView>

    <TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="center"
        android:layout_marginTop="-30dp"
        android:text="黑菠萝餐盘绑定系统"
        android:textSize="88sp"></TextView>


    <GridLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_margin="50dp"
        android:columnCount="2">

        <LinearLayout
            android:layout_width="850dp"
            android:layout_height="match_parent"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal"
                android:textAlignment="center">

                <CheckBox
                    android:id="@+id/cb_open"
                    android:layout_width="90dp"
                    android:layout_height="90dp"
                    android:layout_gravity="center"
                    android:layout_marginLeft="20dp"
                    android:background="@drawable/switch_button_background"
                    android:button="@null"></CheckBox>

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:layout_marginLeft="20dp"
                    android:text="系统状态："
                    android:textColor="#50000000"
                    android:textSize="48sp"></TextView>

                <TextView
                    android:id="@+id/txt_status"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:layout_marginLeft="10dp"
                    android:text="未就绪"
                    android:textSize="48sp"></TextView>
            </LinearLayout>

            <GridLayout
                android:layout_width="wrap_content"
                android:layout_height="200dp"
                android:layout_marginLeft="35dp"
                android:layout_marginTop="50dp"
                android:columnCount="2"
                android:rowCount="3">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="当前标签UID："
                    android:textColor="#50000000"
                    android:textSize="35sp"></TextView>

                <TextView
                    android:id="@+id/txt_cardUid"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="5dp"
                    android:textSize="35sp"></TextView>

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="20dp"
                    android:text="当前标签数据内容："
                    android:textColor="#50000000"
                    android:textSize="35sp"></TextView>

                <TextView
                    android:id="@+id/txt_cardContent"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="5dp"
                    android:layout_marginTop="20dp"
                    android:textSize="35sp"></TextView>

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="20dp"
                    android:text="二维码内容："
                    android:textColor="#50000000"
                    android:textSize="35sp"></TextView>
                <TextView
                    android:id="@+id/txt_cardEwm"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="5dp"
                    android:textSize="35sp"></TextView>
            </GridLayout>

            <Button
                android:id="@+id/btn_scan"
                android:layout_width="90dp"
                android:layout_height="90dp"
                android:layout_gravity="left"
                android:layout_marginLeft="20dp"
                android:background="@drawable/scanner"></Button>
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="35dp"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:text="写入新数据："
                    android:textSize="35sp"></TextView>

                <EditText
                    android:id="@+id/et_data"
                    android:layout_width="250dp"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:layout_marginLeft="20dp"
                    android:digits="1234567890"
                    android:inputType="phone|number"
                    android:maxLength="4"
                    android:singleLine="true"
                    android:textSize="30sp"></EditText>

                <Button
                    android:id="@+id/btn_write"
                    android:layout_width="250dp"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="20dp"
                    android:text="写入数据"
                    android:textSize="35sp"></Button>

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal"
                android:layout_gravity="end">

                <TextView
                    android:id="@+id/text_error"
                    android:layout_marginLeft="35dp"
                    android:layout_width="480dp"
                   android:gravity="center_vertical"
                    android:layout_height="match_parent"
                    android:textColor="@color/colorAccent"
                    android:textSize="30sp"
                    android:text=""></TextView>

                <Button
                    android:id="@+id/btn_test"
                    android:layout_marginTop="10dp"
                    android:layout_width="250dp"
                    android:layout_height="wrap_content"
                    android:layout_gravity="end"
                    android:layout_marginRight="60dp"
                    android:layout_marginLeft="20dp"
                    android:text="绑定标签"
                    android:textSize="35sp"></Button>
            </LinearLayout>



            <TextView
                android:layout_marginTop="40dp"
                android:layout_marginLeft="35dp"
                android:layout_width="700dp"
                android:layout_height="wrap_content"
                android:textColor="@color/red"
                android:textSize="20sp"
                android:text="请将餐盘放置于感应区，系统将自动读取当前标签数据内容，在成功读取之后可写入新标签数据"></TextView>



        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent">
            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content">

            </LinearLayout>
            <ImageView
                android:layout_width="800dp"
                android:layout_height="800dp"
                app:srcCompat="@drawable/platbg" />
        </LinearLayout>
    </GridLayout>
</LinearLayout>